using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace CCSample1
{
	/// <summary>
	/// WebForm1 ̊Tv̐łB
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{

		protected NEOCOREXMSLib.NeoCoreAPI neo;
		protected bool init;
		protected System.Web.UI.WebControls.TextBox TextBox1;
		protected NeoCore.PanelControl.XMSPanelTextBox DocID;
		protected NeoCore.PanelControl.XMSPanelControl MetaData;
		protected System.Web.UI.WebControls.Button QueryBtn;
		protected System.Web.UI.WebControls.Button ClearBtn;
		protected System.Web.UI.WebControls.Button StoreBtn;
		protected System.Web.UI.WebControls.Button UpdateBtn;
		protected System.Web.UI.WebControls.Button DeleteBtn;
		protected NeoCore.PanelControl.XMSPanelControl memberlist;
		protected NeoCore.PanelControl.XMSPanelControl member;
		protected System.Web.UI.WebControls.Label Label1;
		protected NeoCore.PanelControl.XMSPanelTextBox name;
		protected System.Web.UI.WebControls.Label Label2;
		protected NeoCore.PanelControl.XMSPanelTextBox tel;
		protected System.Web.UI.WebControls.Label Label3;
		protected NeoCore.PanelControl.XMSPanelTextBox company;
		protected System.Web.UI.WebControls.Label Label4;
		protected NeoCore.PanelControl.XMSPanelTextBox ;
		protected NeoCore.PanelControl.XMSPanelTextBox email;
		protected System.Web.UI.WebControls.Label Label5;
		protected NeoCore.PanelControl.XMSPanelTextBox fax;
		protected System.Web.UI.WebControls.Label Label6;
		protected string SID;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// y[W郆[U[ R[hɑ}܂B
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: ̌ĂяóAASP.NET Web tH[ fUCiŕKvłB
			//
			InitializeComponent();
			base.OnInit(e);
			if(!init)
			{
				neo = new NEOCOREXMSLib.NeoCoreAPIClass();
				neo.connectToNeoCoreXMS(member.MachineName, member.Port, "ja", "UTF-8", "");
				SID = neo.login(member.UserName, member.Password);
				init = true;
			}
		}
		
		/// <summary>
		/// Designer T|[gɕKvȃ\bhłBR[h GfB^
		/// ̃\bh̃RecύXȂłB
		/// </summary>
		private void InitializeComponent()
		{    
			this.QueryBtn.Click += new System.EventHandler(this.QueryBtn_Click);
			this.ClearBtn.Click += new System.EventHandler(this.ClearBtn_Click);
			this.StoreBtn.Click += new System.EventHandler(this.StoreBtn_Click);
			this.UpdateBtn.Click += new System.EventHandler(this.UpdateBtn_Click);
			this.DeleteBtn.Click += new System.EventHandler(this.DeleteBtn_Click);
			this..TextChanged += new System.EventHandler(this.XMSPanelTextBox1_TextChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void QueryBtn_Click(object sender, System.EventArgs e)
		{
			String results;			
			String query;

			query = "/ND[memberlist/" + member.ToXPathPredicate("") + "]";
			//TextBox1.Text = TextBox1.Text + query + "\r\n";
			results = neo.queryXML(query);
			TextBox1.Text = TextBox1.Text + results + "\r\n";
			member.setData(results,0);
			MetaData.setData(results,0);
		}

		private void ClearBtn_Click(object sender, System.EventArgs e)
		{
			member.Clear(member);
			MetaData.Clear(MetaData);
			TextBox1.Text = "";
		}

		private void StoreBtn_Click(object sender, System.EventArgs e)
		{
			String xmldata;
			String results;

			xmldata = memberlist.ToXML();
			//TextBox1.Text = TextBox1.Text + xmldata + "\r\n";
			results = neo.storeXML(xmldata,"",""); 
			TextBox1.Text = TextBox1.Text + results + "\r\n";
		}

		private void UpdateBtn_Click(object sender, System.EventArgs e)
		{
			String query;
			String xmldata;
			String results;

			query = "/ND[" + MetaData.ToXPathPredicate("/ND/MetaData") + "]/memberlist/member";
			TextBox1.Text = TextBox1.Text + query + "\r\n";
			xmldata = "<ND>" + memberlist.ToXML() + "</ND>";
			//@@@@@ for DEBUG
			//TextBox1.Text = TextBox1.Text + xmldata + "\r\n";
			results = neo.modifyXML(query,xmldata);
			TextBox1.Text = TextBox1.Text + results + "\r\n";
		}

		private void DeleteBtn_Click(object sender, System.EventArgs e)
		{
			TextBox1.Text = TextBox1.Text + neo.deleteXML("/ND[" + MetaData.ToXPathPredicate("/ND/MetaData") + "]") + "\r\n";
		}

		private void XMSPanelTextBox1_TextChanged(object sender, System.EventArgs e)
		{
		
		}

	}
}
